□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□

  TeraPad 更新履歴
                                                               寺尾 進
                                            t-susumu@mvh.biglobe.ne.jp
                                 http://www5f.biglobe.ne.jp/~t-susumu/

□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□

2008/05/08  Ver.0.93

  ・IE7をインストールした環境で、[オプション]-[履歴]タブの「テンポラリ
    フォルダのファイルは履歴へ追加しない」をONにしても有効にならず、
    インターネット一時ファイルが履歴に残ってしまう不具合を修正。

2008/03/17  Ver.0.92

  ・置換ダイアログの「検索する文字列」がWindowsのテーマ色の設定に関係な
   く、文字色が常に「黒」だったのを修正。
  ・[オンラインヘルプ][TeraPadファミリー一覧]のURL変更。

2007/08/07  Ver.0.91

  ・マウスのホイール1目盛りでスクロールする行数をWindowsの設定と同じに
    した。(前バージョンまでは3行固定)
  ・Perlモードで「=pod〜=cut」をコメントとして認識するように。これは、
   「=pod」と「cut」が行頭の時のみ有効です。
  ・ファイルパスの一部が大文字に変換されてしまう場合があったのを修正。
  ・ネットワークドライブのファイルを開くと「無題」で起動してしまう場合
    あったのを修正。
  ・ディスクサイズ取得の処理を改良。
  ・[ヘルプ]-[ショートカットキー]はテキストファイルを表示するように。

2006/11/10  Ver.0.90

  ・インストーラ付き版はインストーラ(EXEpress CX)を更新し、Vistaに対応。
  ・Vistaのデフォルト環境等でステータスバーの情報が一部隠れてしまうのを
    修正。
  ・XPと同様にVistaでもツールバーのフラット化を固定の仕様に。
  ・選択中に、URL又はE-Mailを右クリックした際は、[URLを開く]等ではなく、
    通常のメーニューを表示するように。
  ・コマンドラインオプションを指定して、かつ、存在しないファイルを指定
    した場合に、「新規作成しますか？」のメッセージが表示されずに「無題」
    で起動してしまう不具合を修正。

2005/10/06  Ver.0.89a

  ・[ヘルプ]-[リンク]-[TeraPad-FAQ]のURLを変更。

2005/05/07  Ver.0.89

  ・縦基準線を1ドット左にづらして半角文字にかぶりにくいように。
  ・Delphi用文字コード変換ユニット(JCONVERT.PAS)を改造し、NKF32.DLL相当
    の処理スピードとJISの半角カタカナへの対応がされたため、NKF32.DLLの使
    用をやめた。インストール先にNKF32.DLLが存在してもしなくてもTeraPadの
    動作には影響なし。TeraPadインストール先フォルダ内のNKF32.DLLは削除し
    てもOK。TeraPad側でNKF32.DLLを削除する処理は行わない。
  ・文字コード指定パラメータ「cs」「cj」「ce」「cu」「cu8」「cu8n」が、
    ファイルパスと同時に指定された場合、強制的に指定の文字コードでファイ
    ルを読み込む仕様に変更。
  ・EUCの判別を多少正確に。
  ・オプション＆ツールウィンドウのオープンに失敗したときのメッセージを
    改訂。
  ・ツールの実行に失敗した時の処理を改良。TeraPadウィンドウがロックされ
    たままにならないように。
  ・「ソ」などを含んでいるフルパスの省略表示が正しくなかったのを修正。

2005/01/05  Ver.0.88

  ・検索と置換履歴のクリアができない不具合を修正。

2005/01/02  Ver.0.87

  ・折り返しOFF時の一行最大文字数を1000から8000へ変更。
  ・横スクロール最大幅を自動調整するように。この最大幅は一番長い行に合わ
    せられる。折り返しをONからOFFに切り替えた時、またはテキストが空になっ
    た時にリセットされ、それ以外では減らない仕様。(メモ帳の横スクロール
    バーと同等の仕様)
  ・改行なしの場合は縦スクロールバーが使用不可になるように。
  ・TABの文字数を指定するためのコマンドラインパラメータ「/tab=X」を追加。
    この指定がある場合、起動後にオプションをダイアログで[OK]ボタンを押す
    か、「メニューでの設定変更は保存しない」がOFFの状態でメニューから設
    定を変更すると、このパラメータで指定した内容がINIに保存されます。
    (Readme.txtの「■TABの文字数指定パラメータ」参照)
  ・オプション項目のレイアウトを整理。
  ・オプション−[ウィンドウ]タブに「初期値は表示しない」を追加。
    このオプションがONの場合、ステータスバーの表示が下記のようになる。
    - 現在の文字コードと「初期文字コード」が一致する場合は非表示。
    - 現在の改行コードと「初期改行コード」が一致する場合は非表示。
    - 現在の編集モードと「初期の編集モード」が一致する場合は非表示。
    - 「挿入」は非表示。
  ・オプション−[ファイル]タブに「更新時のみ[上書き保存]を実行可能にする
    」を追加。テキストが変更されている時(タイトルに"*"'が付いている時)の
    み、[ファイル]-[上書き保存]が実行可能になる。
  ・「Shift-JIS」「CR+LF」もステータスバーに表示するように。
  ・オプション[文字コード]タブでNFK32.DLLのバージョンを表示するように。
  ・すべて「漢字コード」を「文字コード」へ変更。
  ・メニューの各サブメニューは常に開ける仕様に統一。
  ・「検索する文字列」「置換後の文字列」のリストはINIではなく別ファイル
    (TeraPad.sch,TeraPad.rep)へ保存するようにし、リスト保存時のモタツキ
    を回避。
  ・「検索する文字列」「置換後の文字列」のドロップダウンリストの最大表示
    項目数を8から16に。
  ・検索及び置換の「単語単位で探す」がONの時にアンダーバー「_」を単語の
    区切りとして認識しない仕様へ変更。
  ・[ヘルプ]-[リンク]-[ツールについて]を追加。
  ・一度フォーカスを失い、再びフォーカスが戻った時にキャレットがマウスに
    追従してしまうことがあったの修正。
  ・フォントサイズ「10.5」が一部のフォントで正しく反映されていなかった不
    具合を修正。
  ・書き換え禁止状態でも[編集]-[変換]の各コマンドが有効だった不具合を修
    正。

2004/07/05  Ver.0.86

  ・折り返しを指定するコマンドラインパラメータ「/wb=XX」を追加。この指定
    がある場合は、XX桁で折り返して起動します。-1を指定した場合は折り返し
    OFFとなります。このパラメータを指定し、起動後にオプションをダイアロ
    グで[OK]ボタンを押すか、「メニューでの設定変更は保存しない」がOFFの
    状態でメニューから折り返しの変更を行った場合は、このパラメータで指定
    した内容がINIに保存されます。
    (Readme.txtの「■折り返し指定パラメータ」参照)
  ・[ファイル]-[新規作成]で起動するTeraPadにコマンドラインパラメータを渡
    さない仕様へ変更。
  ・次のTeraPadへ全てのコマンドラインパラメータを渡すためのコマンドライ
    ンパラメータ「/t」を追加。この指定がある場合、[新規作成]や[開き直す]
    で起動するTeraPadへ全てのコマンドラインパラメータを渡す。
    (Readme.txtの「■継承パラメータ」参照)
  ・ツールの設定項目「コマンドラインパラメータ」に「%p」「%P」を指定でき
    るように。自分自身の実行ファイルのあるフォルダのパスに変換される。
    「%p」は長い形式。「%P」は短い形式。設定項目「実行ファイル」「作業
    フォルダ」でも有効。
  ・ツールの実行時をファイルパスを短い形式に変換しないでそのまま渡すよう
    に。短い形式や「"」で囲う等は必要に応じて「実行ファイル」で指定する。
  ・EM_SETSELはWin9Xでサイズ制限があるため、独自メッセージハンドラ
   「WM_APP+419」で同等の処理を行えるように。
  ・ダブルクリックでの単語選択を改良。選択中にマウスを動かしても失敗しに
    くくなった。
  ・0バイトのファイルを読み込んだ際は「初期漢字コード」「初期改行コード」
    を反映するように。
  ・「漢字／改行コードを自動認識する」がOFFの時、強制的に「保存漢字コー
    ド」を「Shift-JIS」に、「保存改行コード」を「CR+LF」に設定してしまう
    仕様をやめた。
  ・Team-TeraPadのURLを変更。
    (http://groups.yahoo.co.jp/group/team-terapad/)
  ・サポートBBSのURLを変更。(http://sum.s60.xrea.com/)
  ・TeraPad-FAQのURLを変更。(http://alicecafe.jp/d_web/terapad_faq/)

2004/01/07  Ver.0.85

  ・ツールの設定は専用ダイアログで編集可能に。ダイアログはサイズ変更可。
    サイズの記憶。位置は記憶しない。[Shift]+[Enter]で編集。右クリックで
    ポップアップメニュー表示。
  ・ツールの設定項目「コマンドラインパラメータ」に「%s」を指定できるよ
    うに。「%s」は選択範囲の文字列に変換される。256バイトより大きい場合
    は切り捨て。選択されていない時はキャレット位置の語句が対象になるが、
    キャレットが画面に表示されていない場合は空になる。
  ・ツールの設定項目「コマンドラインパラメータ」に「%t」を指定できるよ
    うに。「%t」は選択範囲をテキストファイルに保存した一時ファイル。選択
    されていない時は全体が対象に。一時ファイルはツール終了後削除される。
  ・ツールの設定項目「コマンドラインパラメータ」に「%m」を指定できるよ
    に。「%m」はTeraPadの現在の編集モードのコマンドラインパラメータに
    変換する。例えばHTMLモードの時は「/html」に変換される。
  ・ツールの設定項目「コマンドラインパラメータ」に「%e」を指定できるよ
    うに。「%e」は自分自身の実行ファイルのフルパス。ツール実行時に実際に
    渡されるパスは短い形式。「実行ファイル」にも指定可能。
  ・ツールの設定項目に「終了まで待機する」を追加。NOの場合、ツールに登録
    したプログラムが終了するまでTeraPadが待機状態になる。待機中はウィン
    ドウがロックされ、タイトルバーに[待機中]と表示される。
  ・ツールの[作業フォルダ]で「%d」「%D」を使用可能に。
  ・ツールの設定項目「実行ファイル」に「cmd /c」の指示があった場合は、
    DOS窓を非表示に。
  ・オプションは[表示]-[オプション]へ移動。
  ・Delphiモードで「property」行以外の「index」「read」「write」
    「readonly」「writeonly」はキーワード強調表示しないように。
  ・Delphiモードのデフォルトキーワードに「INDEX」を追加。
  ・各編集モードのデフォルトキーワードは内部に持つように。キーワードファ
    イルの同梱をやめた。キーワードファイルは[キーワード編集]ボタンを押し
    た際にINIフォルダに作成される。デフォルトキーワードで使用している場
    合は*.kwdは削除してもOK。
  ・デフォルトの色設定ファイル「DEFAULT.TPC」の同梱をやめた。
  ・標準入力取込取り込み中は、ダイアログで取り込み中のサイズを表示するよ
    うに。また、[中止]ボタンで中断を可能に。
  ・標準入力の取り込み処理を改良。文末の改行ある/なしをそれなりに。
  ・標準入力の取り込み時もコマンドラインパラメータを有効に。
  ・オプションの[その他]タブに「IME変換中の左クリックは無視する」を追加。
    ONの時は変換中の左クリックは無視し確定もキャレットの移動もしない。
    OFFの時は確定する(過去のバージョンと同じ)。ノートパソコン等でタッチ
    パッドを誤ってたたいてしまい誤確定しないようにするためのもの。
  ・オプションの[バックアップ/履歴]へ「指定されたフォルダのファイルは履
    歴へ追加しない」を追加。デフォルトはOFF。指定フォルダのデフォルトは
    デスクトップとTeraPadのインストール先フォルダ。指定フォルダは「;」で
    区切って複数指定可。[...]ボタンから追加可。全てのサブフォルダが対象。
  ・テキストをセットする独自メッセージハンドラ「WM_APP+411」で、全テキス
    トをセット後に元に戻せないタイプを追加。実行後常にキャレットが先頭に
    移動して、元に戻すこともできないが、大きいテキストをセットした後でも
    スクロールがスムーズ。詳細はTeraPadユニットv0.16の「TpSetTextExLines」
    参照。
  ・フォントダイアログはオリジナルのものを使用するようにしてフォントサイ
    ズ「10.5」を指定可能に。(印刷設定は「10.5」指定不可)
  ・Outputモードで起動するコマンドラインパラメータ「/o」を追加。
    (詳細はReadme.txtの「■Outputモード指定パラメータ」参照)
  ・標準入力の取り込みはOutputモードで行うように。
  ・独自メッセージハンドラ「WM_APP+417」でOutputモードの取得。
  ・独自メッセージハンドラ「WM_APP+418」でOutputモードの設定または解除。
  ・[ファイル]-[終了]の「終了」は「閉じる」に変更。
  ・Ctrl+Wは[ファイル]-[閉じる]に割り当て、[ウィンドウ]-[ユーザー指定]は
    Ctrl+Alt+Wに変更。
  ・置換履歴は空も対象に。
  ・折り返しONの時にShift+Ctrl+[での対応する括弧の範囲選択が正しい範囲に
    ならないことがたったのを修正。(Ver.0.81で入った不具合)
  ・行間隔が1以上。またはキャレット行に下線が表示されている時の横スクロ
    ールで縦線のゴミが残る不具合を修正。(Ver.0.80で入った不具合)
  ・その他、細かい修正と変更。

2003/10/29  Ver.0.84

  ・作者サイトのURL変更に伴う各リンクの変更。
  ・全置換中のツールバーのちらつきを低減。
  ・Unicodeの読み込みで改行コードを「CR」と誤認識していた不具合を修正。
  ・保存時の改行コード「CR」「LF」への変換処理を改良。以前までは数10MB
    のファイルを保存する際に「反応なし」状態になっていたのを回避。
  ・コマンドラインオプションで「/r」「/rl」が指定されている場合にツール
    バーの使用可/不可のセットが正常に行われていなかった不具合を修正。
  ・インストール先フォルダにjwordフォルダが存在する場合は削除。
  ・INI内に[JWord]セクションが存在する場合は削除。

  ※JWord自体のアンインストールは行いません。アンインストールする場合は
    コントロールパネルの「アプリケーション(プログラム)の追加と削除」の
    項目「JWord」から行うか、または、下記URLより行ってください。

  JWordプラグインのアンインストール
  http://www.jword.jp/install/setup-5.htm?disp=default&agent=&partner=AP
  
  ※JWordプラグインのモジュールCnsMinについては下記URLを参照ください。
  
  CnsMinについて
  http://www.jword.jp/help/help_faq_install_cnsmin.htm

2003/10/08  Ver.0.83

  ・JWordプラグイン対応をやめた。

2003/10/07  Ver.0.82

  ・[ツール]-[オプション]の[ブラウザ]タブに「DDEを使用する」を追加。
    OFFの場合はブラウザにパスを渡すだけなのでプレビューする度に新しい
    ウィンドウが開くようになります。Netscape6以降では必ずOFFを指定して
    ください。
  ・ブラウザのパスの指定でNetscape6以降の実行ファイルを見えるように。
    これは、Netscape6以降のDDE通信に対応したということではありませんの
    で勘違いしないでください。Netscape6以降では「DDEを使用する」はOFFを
    指定してください。
  ・インストール直後(TeraPad.iniが存在しないかBrowserセクションのNnPath
    キーが存在しない場合)のブラウザ設定は、Netscape6以降のパスを優先す
    るように。また、Netscape6以降の場合は「DDEを使用する」はOFFにセット
    するように。
  ・JWordプラグイン対応。[ヘルプ]-[JWord]。
  ・Ver.0.81で[名前を付けて保存]ではバックアップを作成しないように変更
    後、[上書き保存]でもバックアップが作成されない場合があった不具合を
    修正。
  ・その他、細かい修正と変更。

2003/08/16  Ver.0.81

  ・SHIFT+[対応する括弧]で範囲選択を可能にした。
  ・外部ツールの実行ファイルと作業フォルダで環境変数を使用可能に。
  ・ステータスバーのヒントの文字をセットするメッセージハンドラ
    (WM_APP+403)で渡された文字列から先頭部分および末尾部分の空白と制御文
    字を取り除き、その結果が空の文字列の場合は、ステータスバーのヒントを
    リセットする仕様に。
  ・他のTeraPadをアクティブにする処理を改良。
  ・[名前を付けて保存]ではバックアップファイルを作成しないように。
  ・桁基準線の設定値の最小値を「20」から「0」へ変更。
  ・TeraPadの前面にあるウィンドウでタイトルバーをダブルクリックした際に
    TeraPadのツールボタンが反応してしまう問題(Delphi4のバグ？)を回避。
  ・ファイルパスに「&」を含んでいると履歴メニューのアクセラレータキーが
    おかしくなるのを修正。
  ・その他、細かい修正と変更。

2003/06/15  Ver.0.80

  ・折り返し位置に縦線を表示可能に。オプション-[基本]の「縦線を表示」。
  ・縦基準線を表示可能に。オプション-[表示]の「縦基準線を表示」。
  ・[表示]-[縦基準線]追加。
  ・ページ指定印刷と選択範囲印刷を可能に。
  ・印刷のヘッダとフッタで総ページ数(%P)を印刷可能に。
  ・オプション-[その他]タブに[印刷/プレビュー実行時に設定を保存しない]を
    追加。このオプションがONの時は印刷ダイアログの[適用]ボタンを押した時
    だけ、印刷の設定内容を保存するようになる。
  ・オプション-[その他]タブに「[一時反映]ボタンは閉じない」を追加。
  ・[CTRL]+[PAGE UP/DOWN]で半ページスクロールを可能に。
  ・標準入力の取り込みに対応。
  ・各ウィンドウ(フォーム)の基本フォントを「MS UI Gothic」に。
  ・外部ツールでTeraPadのツールバーの子ウィンドウになっているものは、終
    了時とフラット化の設定変更時にすべて閉じるようにした。
  ・[表示]-[オプション]は[ツール]へ移動。[ツール]-[ツールの設定]は削除。
  ・他のTeraPadのメインウィンドウが使用不可の場合は設定変更を反映させな
    い仕様に。
  ・HTMLモードでタグ以外の文字で「"」「'」が使われていると正常に色分け
    出来ていなかったので改良。
  ・アンドゥバッファがクリアされた時にツールバー使用可/不可のセットが
    行われていなかったのを修正。
  ・一行が長いテキストを印刷すると1ページ目が白紙になり、最後のページが
    印刷されない不具合を修正。
  ・HSP.KWDを更新。このHSP.KWDは、あらたつさん提供のものをそのまま使わせ
    てもらってます。HSP2.55/2.6 追加された命令を加えてあるそうです。
  ・その他、細かい修正と変更。

2003/05/16  Ver.0.79

  ・Rubyモード追加。Perlモード同様「print <<XXX〜XXX」等の色分けはでき
    ません。(WM_APP+404での返り値は「10」)
  ・ファイルの排他制御を可能にした。オプション-[ファイル]タブで設定。
  ・オプション-[表示]に「リンクに下線を表示」を追加。メールアドレスと
    URLにアンダーラインを付けます。デフォルトはON。
  ・[検索]-[対応する括弧]コマンドを追加。等コマンドは「TpBracket」の作
    者であるotomoさんから頂いたユニットにより実装されました。otomoさん
    に感謝ですー。m(__)m
  ・オプション-[その他]タブに「ツールバーのボタンの使用可/不可をセット
    する」を追加。
  ・下記メッセージハンドラを実装。詳細はTeraPadユニットを参照ください。
    ------------------------------------------
    WM_APP + 413; //表示行数を取得する
    WM_APP + 414; //表示桁数を取得する
    WM_APP + 415; //画面上端の行番号を取得する
    WM_APP + 416; //画面左端の桁番号を取得する
    ------------------------------------------
  ・メールアドレスとURLは引用色等より優先して色付けするようにした。
  ・HTMLモードの色分けを改良。タグの属性値が「'」や「"」で囲われていな
    い時でも認識するようにした。
  ・[表示]-[URL拡張]を追加。これがONの時は指定の文字かTAB/改行の直前ま
    でをURLとして認識します。下記のような全角文字や空白を含むURLの認識
    が可能になります。
    <file://C:\Documents and Settings\terao\デスクトップ>
    URLの認識をキャンセルさせる文字はオプション-[表示]タブの[終了文字]
    で指定出来ます。尚、この機能が有効なのはURLのみで、メールアドレスは
    対象外。[終了文字]は半角のみ有効で全角を指定しても無視します。
  ・履歴処理の改良。INIフォルダ内のTeraPad.hisへ保存するようにした。
    以前の履歴は継続されません。また、この仕様変更の影響で正常に動かな
    いツールがあるかもしれません。(TeraPad.hisは一行一履歴で一番上の行
    が最新の履歴になっているテキストファイルです)
  ・オプションの[基本]タブに「空行のTAB/空白インデント」を追加。このオ
    プションをONにすると、v0.78までと同様に改行のみの行もTAB/空白インデ
    ントの対象になります。ただし、矩形選択時も空行が対象になる点はv0.78
    までと異なります。
  ・オプションの[その他]タブでデフォルトフォルダを指定可能にした。
    「%USERPROFILE%」などの環境変数の指定も可能ですが、NT4.0ではう
    まく動作しないかもしれません。また、コマンドラインパラメータで
    「/d=XXXXX」の指定がある場合はそれを優先します。
  ・オプション-[ウィンドウ/漢字コード]タブに「再読込は現在の漢字コード
    で行う」を追加。
  ・オプション-[拡張子]タブで初期の編集モードを指定可能にした。
  ・オプション-[ウィンドウ/漢字コード]タブで初期の漢字コードと改行コー
    ドを指定可能にした。
  ・コマンドラインパラメータで新規起動時の漢字/改行コードを指定可能にし
    た。(「■漢字/改行コード指定パラメータ」参照)
  ・編集モード指定パラメータに標準モード「/def」を追加。
  ・UTF-8N自動判別の改良。
  ・EUC自動判別の改良
  ・usr.iniのキー「UserIni」の値が「2」の時はユーザープロファイルフォル
    ダのApplication Dataへ「TeraPad」フォルダを作成し、そのフォルダの
    初期化ファイルやキーワードファイルを使用するようにした。
  ・[←][→]での横スクロールは一文字分づつ行うようにした。
  ・各設定ファイルがINIフォルダにない場合は常にコピーするようにした。
    EXEフォルダにないかINIフォルダに存在するものはコピーしません。
  ・オプション-[ファイル]タブに「他のプロセスで使用中のファイルは書き換
    え禁止にする」を追加。デフォルトはON。
  ・TeraPad.iniへ[OptionEx]セクション追加してURLまたはメールアドレスと
    して認識する文字を追加可能にした。(「■リンクとして認識する文字を追
    加する」参照)
  ・[検索する文字列][置換する文字列]などの一部のコントロールのフォント
    をＭＳゴシックに変更。
  ・TeraPad.exeに関連付け用のアイコンを追加。
  ・1000文字以降の無駄な領域はできるだけ表示しないようにした。
  ・1000文字以降に[EOF]と改行記号以外は表示しないようにした。
  ・オプションの色設定読込/保存のデフォルトフォルダは初期化ファイルと同
    じフォルダにした。また、[すべてリセット]ボタンを押した際に読み込ま
    れるDEFAULT.TPCも初期化ファイルと同じフォルダのDEFAULT.TPCが対象に
    なります。
  ・ファイルの読み込みに失敗した時、TeraPad自身が落ちてしまうことがあっ
    たのを修正。
  ・ネットワークドライブのファイルを開いた際に誤って読み取り専用属性と
    判断してしまう場合に対処した。
  ・文書が更新されている状態で終了した際に表示される「保存しますか？」
    のダイアログで[はい]を選択後、ファイルの保存に失敗すると編集内容を
    破棄して終了してしまう不具合を修正。
  ・「/」がセパレーターになっているパスをコマンドラインで認識できていな
    かったのを修正。
  ・全角変換で「\」が「￥」へ変換できていなかった不具合を修正。
  ・その他、細かい修正と変更。

2003/03/12  Ver.0.78

  ・UTF-8Nに対応。(あくまでも内部処理はShift-JIS)
  ・UTF-8(N)読み込み処理の改良によりスピードアップとサイズ制限の解除。
  ・INIフォルダ指定パラメータ「/i=XXXXX」で「%USERPROFILE%」などと環境
    変数が指定された時にも正しく動作するよう改良した。
  ・オプションのバックアップ先フォルダも、INIフォルダ指定パラメータと同
    様に環境変数の指定を可能にした。
  ・デフォルトの設定で「漢字コードの自動認識」はONにした。
  ・折り返しON時に横スクロールバーが不要になった際、非表示ではなく使用
    不可になるようにした。
  ・[編集]-[変換]-[全角に変換]で「'」「"」が正しく変換されていなかった
    のを修正。
  ・その他、細かい修正と変更。

2002/12/10  Ver.0.77

  ・一部のオプション値の最後のスペースが、読み込む度増えていく不具合を
    修正。TeraPadは、基本的にオプション値の前後のスペースは保存されませ
    ん。前後のスペースが保存されるオプションは「引用符」「検索する文字
    列」「置換する文字列」「印刷ヘッダー」「印刷フッター」とツールの
    「コマンドパラメータ」のみです。
  ・Perlモードの色分け処理を少し改良。

2002/12/08  Ver.0.76

  ・[編集]-[変換]-[半角に変換]はひらがなを対象にしない(カタカナへ変換し
    ない)仕様に変更。
  ・[編集]-[変換]-[半角に変換]で、「ゞ」→「ヾ」「ゝ」→「ヽ」など、お
    かしな変換をしていた不具合修正。

2002/12/06  Ver.0.75

  ・タブの文字数を1単位(1〜8)で設定可能にした。この「タブの文字数」は、
    以前の設定値を引き継ぎません。インストール後はデフォルトの8になりま
    す。また、INIのキーは「TabCount」から「TabSpaceCount」へ変更されて
    いますので、外部ツールでこの値を扱っている場合は正しく動作しない可
    能性があります。
  ・HSPモードの改良。HSP v2.6 の「//」「/*〜*/」によるコメント記述に対
    応した。
  ・オプションの[色]タブの[...]ボタンは常に使用可能に。また、設定項目を
    ダブルクリックした際に[色の設定]ダイアログを表示するようにした。
  ・デフォルトのフォントは「ＭＳ ゴシック」「12pt」にした。
  ・INIの[Option]セクションの「FontSize」へ負の整数が指定されている場合
    は単位をピクセルとして認識するようにした。例えば「10.5pt」を指定し
    たい時は「-14」とします。これはフォントダイアログからも指定可能です
    が、フォントダイアログを開いた時点では正しく反映されません。
  ・BATのキーワードファイル(BAT.KWD)の更新。キーをいくつか追加しました。
    このキーワードを反映させるには現在のINIフォルダへBAT.KWDを置く必要
    があります。INIフォルダは[ヘルプ]-[バージョン情報]で調べることが出
    来ます。
  ・「検索する文字列」が空の時に、[検索]-[上を検索]又は[下を検索]を実行
    した際に表示されるダイアログの「検索方向」を各コマンドに合わせた。
  ・[編集]-[変換]-[半角に変換]で「を」や「ヲ」が半角の「オ」に変換され
    てしまう不具合を修正。
  ・矩形選択時にキャレットが画面から隠れる位置までスクロールし、マウス
    で任意の位置をクリックすると、キャレットが予期しない位置へ移動して
    しまう不具合を修正。
  ・その他、細かい修正と変更。

2002/05/18  Ver.0.74

  ・オプションのツールに[複製]ボタンを追加。
  ・オプションのツールで[追加][複製][上へ][下へ]等のボタンを押した際に
    対象アイテムが隠れないようにした。
  ・[ヘルプ]-[リンク]を追加。
  ・WindowsXPの新しいスタイルへの対応で不完全だった部分の改善。
  ・TeraPadのメインウィンドウが非表示の時にダイアログが表示された際、そ
    のダイアログが他のウィンドウの下になってしまい見失うことがある為、
    タスクバーにボタンを表示するようにした。
  ・行番号を取得するメッセージハンドラ(WM_APP+412)を実装。詳細はTeraPad
    ユニットを参照ください。
  ・テキストが空の時の EM_GETLINECOUNT の戻り値を 0 から 1 へ変更。
  ・無題の時でも行移動メッセージハンドラ(WM_USER+100)を無視しないように
    した。
  ・スワップファイル経由でテキストを設定するメッセージハンドラ(WM_APP+
    411)で、テキスト全体を設定後のキャレット位置が正しくなかった不具合
    を修正。
  ・スワップファイル経由でテキストを設定するメッセージハンドラ(WM_APP+
    411)で、空の文字列を渡すを無視されてしまう不具合を修正。
  ・「終了時の位置とサイズを復元」が有効な場合に、ウィンドウがデスクト
    ップ外になってしまう事があった不具合を修正。
  ・[ファイル]-[漢字コード指定読込]で、サイズ制限のダイアログが表示され
    て処理を中止した後、テキストがクリアされてしまう不具合を修正。
  ・ヘルプファイルは同梱をやめた。m(__)m

2002/02/21  Ver.0.73

  ・Unicode(UTF-16,UTF-8)に対応。尚、現状ではUTF-8の処理スピードが遅いた
    め、保存と読込で3MBの制限があります。(^^;
  ・たてごと♪さんのMapCopy.exeを参考に、外部プログラムとのテキストの受
    け渡しでスワップファイルを経由する為のハンドラを実装した。使い方は
    TeraPadユニットを参照。
    --------------------------------------------------------------------
    TeraPadユニット
    http://www.egroups.co.jp/files/team-terapad/TeraPadUnit/
    --------------------------------------------------------------------
  ・WindowsXPの新しいスタイルにほぼ対応。それに伴う細かい変更。
  ・「自動で新規ファイル名をつける」機能で、文書を選択している場合は、
    その選択内容を対象にするようにした。
  ・[ヘルプ]メニューからReadme.txtとHistory.txtを開けるようにした。
  ・バージョン情報にWindowsのログオンユーザー名とINIフォルダを表示する
    ようにした。
  ・HTMLモードで、XMLの処理命令("<?"から"?>" まで)と、CDATAセクション
    ("<![CDATA["から"]]>" まで)も、ASPと同様の色分けを行うようにした。
  ・他のプロセスが「書き込みモード」で開いているファイルをTeraPadで開け
    ない場合に対処した。扱いは読み取り専用ファイルと同じになります。
  ・連続置換中は、独自メッセージハンドラの処理を行わないようにした。
  ・HHCTRL.OCX がない環境(IE4 以降がインストールされていない環境等)で、
    「必要なDLLファイルHHCTRL.OCXが見つかりませんでした。」とエラーが表
    示され起動不可能になっていた場合に対処した。
  ・「自動で新規ファイル名をつける」ONで「ソ」を含む場合に文字化けする
    不具合を修正。
  ・[漢字/改行コード指定保存]で名前を付けて保存をキャンセルした後、現在
    の漢字コードと改行コードが正しく処理されないことがあり、また、ダイ
    アログの各コンロールの初期値に現在の漢字コードと改行コードが正しく
    反映されないことがあった不具合を修正。
  ・編集モード切り替えのコマンドラインオプションを指定してファイルを開
    いた際、ドライブのルートにそれらのオプションと同名のフォルダが存在
    すると無限ループ状態になりOSがフリーズするまで無数のTeraPadが起動し
    てしまう不具合を修正。これはv0.72以降のバグです。v0.72及びv0.73βを
    お使いの方は必ず当v0.73正式版へバージョンアップしてください。m(__)m
  ・その他、細かい修正と変更。

2001/12/07  Ver.0.72

  ・ユーザー別の設定に対応。
    (「■ユーザー別の設定」参照)
  ・ヘルプをHTML形式からCHM形式へ変更。
  ・WinMe/2000 タイプのファイルダイアログに対応。
  ・検索/置換処理の大幅な高速化。
  ・オプション-[その他]タブに「ポップアップメニューの[ツール]は一番上に
    表示する」を追加。
  ・コマンドラインオプションで任意のINIフォルダを指定出来るようにした。
    (「■INIフォルダ指定パラメータ」参照)
  ・初期フォルダ指定パラメータ「/d=XXXXX」に対応。
    (「■初期フォルダ指定パラメータ」参照)
  ・末尾移動パラメータ「/je」に対応。
    (「■末尾移動パラメータ」参照)
  ・ツールの[コマンドラインパラメータ]にファイル名のみを渡す「%n」「%N」
    を追加。「%n」はロングファイルネーム、「%N」はショートファイルネーム
    です。
  ・ツールの[コマンドラインパラメータ]に拡張子なしのファイル名のみを渡
    す「%b」「%B」を追加。「%b」はロングファイルネーム、「%B」はショー
    トファイルネームです。
  ・ツールの[コマンドラインパラメータ]をメニューから入力した際、一部の
    特殊文字を「"」で囲うのはやめた。
  ・「ツールの編集」の実行ファイル参照のフィルタに「*.com」「*.bat」を
    加えた。
  ・選択モードを取得するメッセージハンドラ(WM_APP+405)を実装。
    (戻り値: -1=非選択, 0=選択, 1=矩形選択)
  ・対象のINIを切り替えるメッセージハンドラ(WM_APP+406)を実装。詳細
    はTeam-TeraPadのサンプルソース「TpSetIni」を参照下さい。
  ・INIファイルのパスを外部から取得できるようにした。詳細はTeam-TeraPad
    のサンプルソース「TpGetIni」を参照下さい。
  ・コマンドラインへ複数のファイルが渡された際、コマンドラインオプショ
    ンも、各ファイル毎に渡すように改良。
  ・[ファイル]-[新規作成]で、コマンドラインオプションを全て渡すようにし
    た。無題に渡しても意味のないオプションは無視されます。
  ・オンラインヘルプのURLを<http://harpy.org/delfy/tpadhelp/>へ変更。
  ・[表示]-[タブの文字数]変更時に折り返し位置が反映されないバグを修正。
  ・空の[EOF]行にキャレットがある時に上検索を行うとリストエラーが発生す
    る不具合を修正。
  ・ネットワークドライブのファイルを保存できない場合があった不具合を修
    正。
  ・Windows のショートカットではない、拡張子「.lnk」のファイルが開けな
    い不具合を修正。
  ・ネットワークドライブのパスに「ソ」を含むファイルを開けない場合があ
    る不具合を修正。
  ・コマンドラインへ複数のファイルが渡された時、ウィンドウへ複数のファ
    イルが D&D された時の処理を改良。エラー「TeraPad.ini が作成できませ
    ん」の発生が回避された？？
  ・画面分割時にツールバーのフラット表示設定を切り替えると、分割画面と
    ツールバーの表示が変になる不具合を修正。
  ・存在しないファイルが渡された時に絶対パスの取得に失敗することがあっ
    た不具合を修正。
  ・[ファイル]-[開く]または[再読込]でNull文字を含むファイル開いた際に表
    示された警告で書き込み禁止を選択しても、書き込み禁止の状態にならな
    い不具合を修正。
  ・その他、細かい修正と変更。

2001/07/13  Ver.0.71

  ・ポップアップメニューへ[ツール]を追加。
  ・ツールの設定項目に「起動時に実行」「メインメニューに表示」「ポップ
    アップメニューに表示」を追加。
    ------------------------------------------------------------------
    ◎起動時に実行
    TeraPad起動時にツールが実行されます。起動時は「ファイルの上書き」
    の指定には関係なしに上書き保存はされません。「非選択は使用不可」は
    ONでも実行されます。実行ファイルがなしの場合は無視されます。
    ◎メインメニューに表示
    チェックを外すとメインメニューに表示されません。非表示の状態でも
    ショートカットキーは有効ですので、メニューへ表示させる必要のない
    ツールはチェックを外すといいです。
    ◎ポップアップメニューに表示
    チェックを外すとポップアップメニューに表示されません。ポップアップ
    メニューから起動する必要のないツールはチェックを外すといいです。
    ------------------------------------------------------------------
  ・ツールの「実行ファイル + パラメータ」をステータスバーへ表示するよう
    にした。
  ・[表示]-[タブの文字数]を追加。
  ・オプション-[色]タブで、Windowsの画面のプロパティの色を指定できるよ
    うにした。また、「通常文字」「通常背景」「選択文字」「選択背景」と
    各キーワード色のデフォルト色をWindowsの画面のプロパティに合わせた。
    (※DEFAULT.TPCの内容も変更されてます)
  ・オプション-[色]タブで、行番号と桁ルーラー文字色を指定可能にした。
    (※背景色は従来通りエディタ部背景色かボタン色のどちらかです)
  ・ツールの「コマンドラインパラメータ」の特殊文字に「%w」を追加。「%w」
    はTeraPadメインフォームのウィンドウハンドル(10進表現の文字列)です。
    GetForegroundWindowでTeraPadのウィンドウハンドルがうまく取得できな
    い開発言語で外部ツールを作る際に利用してください。
  ・「gopher:」「news:」「nntp:」「telnet:」「file:」「prospero:」
    「mailto:」が単語の先頭の場合はURLとして認識するようにした。
    (※「mailto:」がURLとして認識するのは仕様です)
  ・「,」はメールアドレスとして認識しないようにした。
  ・「+」「$」「\」をURLとして認識するようにした。
  ・ファイル履歴の最大件数の設定範囲は「0〜30」に変更。(旧: 5〜30)
  ・コマンドラインパラメータでフォルダを指定した場合は、開くダイアログ
    を表示するようにした。
  ・[編集]-[変換]-[再変換]コマンド追加。
  ・ポップアップメニューの[元に戻す][やり直し][フリーカーソル][書き換え
    禁止]を削除してメニューを多少シンプルに…
  ・ポップアップメニューのショートカットキーは表示しないようにした。
  ・改行マークの描画処理を改良。小さいフォントでも見やすくなった。
  ・縦スクロール時にキャレット位置を固定してスクロールするオプションを
    追加。このオプションを指定するには INI を編集しなければいけません。
    詳細は Readme.txt の「■縦スクロール時のキャレット位置」を参照。
  ・「DELPHI.KWD」に「READ」と「WRITE」が抜けていたので追加。
  ・INIの読み書き処理を最適化。起動が時間が多少短縮された。(特にNT系で)
  ・「読み取り専用ファイルを認識して書き換え禁止にする」がONの時の[ファ
    イル]-[再読込]は、読み取り専用属性の変更があった時のみ属性チェック
    の結果を反映する仕様に変更。
  ・文字列処理を高速化。長い文字列折り返し時に差がでます。v0.70 に比べ
    るとかなり改善されていますが、v0.61 よりは遅いです。(^^;
  ・ツールの「ファイルの上書き」のデフォルト値は「上書き保存しない」へ
    変更。
  ・オプション値反映時に「拡張子チェック→編集モード変更」を行わない仕
    様に変更。
  ・オプションの[反映のみ]ボタンの名前を[一時反映]へ変更。
  ・検索/置換実行時の選択文字列を取得する処理を改良。
    これによって、「ソ」を選択した状態で検索/置換ダイアログを開くと、
    [検索する文字列]が「ソ\」になっていた不具合が修正されてます。
  ・Perl, C/C++, Java, HSPモードの文字列色の色分け不具合を修正。
  ・Windowsの画面のプロパティで、ウインドウの文字色を白にすると、印刷で
    文字が出力されない不具合を修正。
  ・再変換対象の文字列の前にTABがあると正しい位置にIMEの変換候補が表示
    されない不具合を修正。
  ・画面に収まらない行数のテキストをすべてを選択し改行を含まない文字列
    の貼り付けを行うと、文字の描画が正しく行われない不具合を修正。
  ・画面分割実行時に上書きモードが反映されていなかった不具合を修正。
  ・検索/置換で一部の文字がマッチしない不具合を修正。
  ・0.61 以降、Ctrl+I での Tab 入力が無効になっていた不具合を修正。
  ・起動ドライブのルートに「perl」「html」「hsp」などのフォルダやファイ
    ルが存在する場合、起動パラメータの「/perl」「/html」「/hsp」などが
    フォルダやファイルとして認識してしまっていた不具合を修正。
  ・一部の IME で確定後キャレットが消える問題への対策をした。
  ・その他、細かい修正と変更。

2001/05/18  Ver.0.70

  ・画面分割に対応。([ウィンドウ]-[画面分割])
  ・再変換に対応。
  ・印刷プレビューを追加。(印刷ダイアログの[プレビュー]ボタン)
  ・キーワードの大/小文字の区別を可能にした。(オプション-[色]タブ)
  ・改行コードの自動認識と指定保存に対応。
  ・ツールのオプション項目に「非選択時は使用不可」を追加。ONの場合、文
    字列を選択していない状態ではツールの実行が不可能になります。
  ・ファイル保存時にドライブの空き容量をチェックし、空き容量が不足して
    いる場合はメッセージを表示して書き込みを中止するようにした。
  ・オプションの[表示]に「略形式」を追加。タイトルバーのフルパスが長い
    時に、省略形式でパスを表示します。
  ・オプションの[バックアップ/履歴]に「ファイルパスの表示形式」を追加。
    [ファイル]-[開き直す]で表示するパスの形式を指定します。「フルパス」
    「省略形式のフルパス」「ファイル名のみ」の中から選択可能です。
  ・オプションの[バックアップ/履歴]に「テンポラリフォルダのファイルは履
    歴へ追加しない」を追加。ONの場合、Windowsのテンポラリフォルダ、また
    は、インターネットテンポラリフォルダのファイルは、[ファイル]-[開き
    直す]へ追加しません。
  ・オプションの[バックアップ/履歴]に「ファイル履歴の最大件数」を追加。
    [ファイル]-[開き直す]に残す最大件数を指定します。(5〜30)
  ・オプションの[その他]に「読込時のファイルサイズチェック」を追加。指
    定サイズをオーバーしているファイルを読み込む前に警告メッセージを表
    示します。0を指定した場合は何もしません。
  ・オプションの[表示]タブに「タスクバーはファイル名のみ」を追加。これ
    がONの場合は「ファイル名をフルパス表示」がONであっても、タスクバー
    のボタンはファイル名のみの表示になります。
  ・オプションの[基本]タブに「標準モードのみIMEをON」を追加。「起動時に
    IMEをON」がONの時のみ有効で、標準モードの時のみIMEがONになります。
  ・オプションの[その他]タブに「自動で新規ファイル名を付ける」を追加。
    ONの場合、テキストの先頭の文字列を自動で保存ダイアログのファイル名
    にセットします。ファイル名に使えない文字「\/:,;*?"<>|」やドット「.」
    TABなどは除去されます。
  ・URLとメールアドレス用ポップアップメニューを追加。
  ・段組印刷に対応。
  ・[ファイル]-[漢字コード指定再読込]を追加。漢字コード自動認識に失敗し
    た際使用します。オプションで漢字コード自動認識OFFになっている場合は
    使用不可能になっています。尚、このコマンドはNKF32.DLLを使用していま
    せんので処理が遅いです。(^-^;
  ・[検索]-[行指定]へチェックボックスを追加し、論理行、表示行の選択を可
    能にした。(折り返しON時のみ)
  ・[検索]-[行指定]はIMEがOFFになるようにした。
  ・[検索][置換][行指定]実行後、その結果をステータスバーへ表示するよう
    にした。([ESC]またはキャレット移動で解除されます)
  ・[検索][置換]へ[先頭から検索]ボタンを追加した。
  ・[置換]の[すべて置換]は先頭から連続置換するようにした。現在位置から
    連続置換を行う[連続置換]ボタン(旧すべて置換)を追加した。
  ・[すべて置換]を中断可能にした。
  ・Null文字を含むファイルを読み込む際、確認メッセージを表示するように
    した。オプション[その他]タブの「Null文字を含むファイルは確認メッセ
    ージを表示する」の設定で非表示にすることも出来ます。非表示に設定さ
    れている場合は強制的に書き換え禁止になります。尚、メッセージを表示
    しても読み込みのキャンセルはできません。
  ・「読み取り専用ファイルを認識して書き換え禁止にする」がONで、かつ、
    コマンドラインで書き換え禁止パラメータの指定がない時は、アクティブ
    時に読み取り専用属性のチェックも行うようにした。
  ・[編集]-[折り返し反映コピー]を追加。選択範囲の折り返しへ改行を挿入し
    たテキストをクリップボードへ送ります。編集内容へは影響しません。
    掲示板等へ貼り付ける際に利用するといいかと思います。尚、矩形選択時、
    折り返しOFF時には使用できません。
    ＃[折り返しへ改行挿入]でも可能ですが…(^-^;
  ・[ファイル]-[折り返し反映保存]を追加。[上書き保存]と[名前を付けて保
    存][保存して終了]を選べます。折り返しへ改行を挿入してファイルへ保存
    します。実行時にUndo情報がクリアされる仕様です。
  ・ツールバーの256色イメージを変更。ハサミがチョキチョキ動きます〜♪
  ・HSPモードの「{"」「"}」で囲われたテキストは「文字列色」で色分けする
    ようにした。
  ・C/C++キーワードファイル(CPP.KWD)を更新。
  ・折り返しの最大値を800まで拡大した。
  ・メッセージ処理でファイル読み込みを行えるようにした。外部からの実行
    方法は Team-TeraPad のサンプルソース「TpLoad」を参考にして下さい。
  ・実行ファイルにバージョン情報を入れた。外部からバージョン情報を取得
    する方法は Team-TeraPad のサンプルソース「TpGetVer」を参考にして
    下さい。
  ・外部から TeraPad 実行ファイルのフルパスを取得可能にした。取得方法は
    Team-TeraPad のサンプルソース「TpGetPath」を参考にして下さい。
  ・アクティブなエディットコントロールのハンドルを取得するメッセージハ
    ンドラを実装。詳細は Team-TeraPad のサンプルソース「tss003.lzh」
    をご覧下さい。
  ・ステータスバーのヒントテキストをセットするメッセージハンドラを実装。
    詳細は Team-TeraPad のサンプルソース「tsh001.lzh」をご覧下さい。
  ・編集モードを取得するメッセージハンドラを実装。詳細は Team-TeraPad の
    サンプルソース「tgmd001.lzh」をご覧下さい。
  ・[表示]-[折り返し桁指定]で折り返し桁を切り替えた時に画面の描画がおか
    しいくなる場合があった不具合を修正。例えば 250 から 40 と、極端に値
    が違う場合で、かつ、横スクロールされている状態で発生していました。
  ・折り返しONの状態で改行なしの長い文字列があると時、折り返しをOFFする
    と落ちる問題を回避。
  ・「タブの文字数」の設定内容が印刷に反映されるようにした。
  ・ファイルを開く、名前を付けて保存ダイアログのサイズ変更を許可させな
    いオプションを追加。(詳細はReadme.txtの「ファイルを開くと名前を付け
    て保存ダイアログのサイズ変更許可」を参照)
  ・Windows2000でIMEの未確定文字がある時にウィンドウを移動しても、その
    未確定文字がいっしょに移動してくれない不具合を修正。
  ・設定変更前のスクロール/キャレット位置を、設定変更後も出来る限り保つ
    ようにした。
  ・タスクバーの[重ねて表示][上下に並べて表示][左右に並べて表示]でおか
    しな状態になる現象を回避した。(Delphi固有の問題)
  ・「タブの文字数」の倍数以外の折り返し桁を指定すると、正しい位置で折
    り返しされず、行末文字が欠けていく不具合を修正。
  ・その他、細かい改良と修正。

2000/12/08  Ver.0.61

  ・折り返しONの時に行番号の再描画が正しく行われていない不具合を修正。
  ・クリップボードが矩形選択テキスト場合の[引用符付き貼り付け]は矩形貼
    り付けで行うようにした。
  ・折り返しONで禁則処理ONの時に、文字の削除など一部の機能が効かなくな
    ることがあったのを修正。
  ・バックスペースアンインデント機能にバグあった為、一旦廃止。m(__)m

2000/10/26  Ver.0.60

  ・行番号、ルーラー表示に対応。
  ・HSP(Hot Soup Processor)モードを実装。
  ・バックアップ機能を追加。(オプション-[バックアップ]タブ)
    - バックアップファイルは上書き保存時に作成されます。
    - [バックアップ先フォルダ]指定ありの時は、指定のフォルダへ同名ファ
      イルを作成します。
    - [バックアップ先フォルダ]指定なしの時は、拡張子 .bak のファイルを
      編集中ファイルと同じフォルダに作成します。
  ・インストール先フォルダに TeraPad.chm が存在する場合は、[ヘルプ]-[ヘ
    ルプ]で TeraPad.chm を開くようにした。ホントに開くだけです。(^^;
  ・VBモードで、頭が「Rem」の行をコメントとして認識するようにした。
  ・BATモードで、キーワード強調(太字表示)を可能にした。
  ・Delphiモ−ドで、制御文字列(#13#10など...)を文字列色で表示するように
    した。
  ・HTMLモードで「<%〜%>」の別色表示に対応した。(ASPに対応)
  ・色設定ファイル(.tpc)の保存と読み込みに対応。色設定ファイル
    「default.tpc」が TeraPad.exe と同じフォルダに存在する場合は、[すべ
    てリセット]実行時に読み込みます。「default.tpc」が存在しない場合は、
    従来のデフォルト色になります。
  ・キーワード強調オプションの保存先は[Option]から[Color]セクションに
    変更。(以前の設定は引き継ぎません)
  ・オプション-[基本]タブ-[バックスペースアンインデント]を追加。
    キャレット位置が行頭でない場合で、かつ該当行が半角空白・全角空白・
    タブ文字だけで構成されているか、空白の後に続く文字列の先頭にキャレ
    ットが居る場合に BackSpace キーを押すと、行頭から新しいキャレット
    位置までの文字列と現在のキャレット位置から終端までの文字列に置き換
    わります。
  ・Null文字は半角スペースへ変換して読み込むようにした。
  ・Null文字を含む場合は書き換え禁止になるようにした。
  ・漢字コード変換処理を改良。
  ・ロングファイルネームへ変換する処理の改良。
  ・[ツール]で指定した外部プログラムで、読み取り専用ファイルの読み込み
    に失敗する不具合を修正。
  ・[論理行で行桁を表示する]がONの時、ステータスバーの桁が TAB = 1 でカ
    ウントされていたのを修正。
  ・TeraPadがアクティブになる際、ポップアップウィンドウがメインウィンド
    ウの下に隠れてしまうことがあったのを修正。
  ・その他、細かい修正と変更。

2000/07/12  Ver.0.52

  ・[編集]-[書き換え禁止]を追加。
  ・書き換え禁止パラメータ「/r」「/rl」を追加。(/r=解除可能な書き換え
    禁止モード, /rl=解除不可能な書き換え禁止モード)
  ・読み取り専用読み込んだ際、タイトルのファイル名に「[R]」を表示する
    ようにした。
  ・オプション-[その他]-[読み取り専用ファイルを認識して書き換え禁止に
    する]を追加。ONの場合、ファイル読み込み時に読み込み専用ファイルを
    認識して書き換え禁止モードにします、OFFの場合は何もしません。また、
    読み取り専用ファイルを読み込んで、このオプションがOFFの場合は[上書
    き保存]は[名前を付けて保存]の動作になります。読み取り専用ファイルを
    テンプレート的に使う場合はOFFにして下さい。
  ・ファイルを開くダイアログで「読み取り専用として開く」の指定がある場
    合は書き換え禁止モードで開くようにした。
  ・[ファイル]-[再読込]コマンドを追加。
  ・オプション-[その他]-[再読込前の表示位置を記憶する]を追加。
  ・オプション-[その他]-[アクティブ時にファイルのタイムスタンプをチェ
    ックして再読込]を追加。
  ・オプション-[その他]-[コマンドラインで存在しなファイルが指定された時
    は新規作成]を追加。
  ・オプション-[その他]-[ウィンドウへファイルをドロップした時は閉じて開
    く]を追加。ONの場合、常に１ウィンドウでファイルを読み込む仕様に変わ
    ります。また、複数のファイルのドロップは不可能になります。
  ・オプション-[その他]-[論理行で行桁を表示する]を追加。
  ・BATモードのラベルとキーワードの色付けに対応。(キーワード強調不可)
  ・[ウィンドウ]-[常に最前面表示]を追加。
  ・コマンドラインパラメータに「/jl=**」(論理行で行ジャンプ)を追加。
  ・[ウィンドウ]-[指定のサイズと位置]は[ユーザー指定]に変更。
  ・[ウィンドウ]-[ユーザー指定]の表示/非表示の指定を可能にした。
  ・ユーザー指定のウィンドウサイズ/位置を即反映する為のボタンを追加。
    (オプション-[ウィンドウ/漢字コード]タブ-[今すぐ反映])
  ・F5=[再読込]、SHIFT+F5=[再描画] に変更。
  ・オプションの[英文ワードラップ]のデフォルトはOFFに変更。
  ・ファイルの拡張子より、コマンドラインパラメータ(/htmlなど)を優先し
    て編集モードをセットするようにした。
  ・WinNT/2000 でスクロールバーの表示切替時に落ちる問題を完全に回避。
    - スクロールバーの表示切替時の描画がスムーズになった。
    - WinNT/2000 での制限がなくなった。
    - 隠しオプション「/95」「/nt」は意味がないので廃止。
  ・VBモードで文字列の色分けが正しく行われないことがあったのを修正。
  ・読み込み時の漢字コード変換処理を改良。
  ・[ヘルプ]-[ショートカットキー]のヒントが非表示だったのを修正。
  ・メニューが表示されている時に F1 キーを押すと「このトピックは存在し
    ません。アプリケーションの製造元に連絡して，新しいヘルプファイルを
    入手してください。(129)」のダイアログが出る不具合を修正。
  ・ファイルの先頭の0x0Aが無視される不具合を修正。
  ・HTMLモードでタグオプション値の色が正しく色分けできないことがあった
    のを修正。
  ・その他、細かい修正と変更。

2000/05/16  Ver.0.51

  ・ツールボタンに 256色 16x16 を追加。
  ・TeraPadアイコン(16x16)を変更。
  ・行ジャンプオプション「/j=**」を追加。
  ・「Alt + Shift + 矢印」で矩形選択を可能にした。
  ・[編集]-[矩形貼り付け]を追加。
  ・半角空白マークを表示可能にした。
  ・折り返しONの時に、余計な横スクロールをしないように改良した。
  ・[F5]キーで再描画を可能にした。
  ・[ヘルプ]-[ショートカットキー]でショートカットキー一覧を表示可能に
    した。
  ・ドラッグ時のマウスカーソルを変更。(移動, コピー, 禁止)
  ・ツールは[名前]と[コマンドラインパラメータ]のみの指定でも設定可能
    にした。
  ・ツール編集でポップアップメニューから「%f」「%d」を入力する際に
   「"」で囲うようにした。
  ・選択中の[テキストサイズ表示]は選択範囲のサイズにした。
  ・[ウィンドウ]-[次],[前]のショートカットキー「Alt + ←,→」は、
   「Ctrl + Tab」「Shift + Ctrl + Tab」に変更。
  ・IEの編集ボタンから正常に開けない問題を回避した。
  ・WinNT4.0/2000で、横スクロールバーが非表示になる瞬間に落ちる問題を
    回避した。
  ・検索、置換ダイアログで「Alt + T,R」が効かない不具合を修正。
  ・Perlモードで、「[#-・・・」の「#」以降がコメントとして認識してし
    まう不具合を修正。
  ・キャレットが左余白と上余白に表示されてしまう不具合を修正。
  ・横スクロールで全角空白マーク等が消える不具合を修正。
  ・Win2000で、URLをダブルクリックした際にブラウザがアクティブにならな
    い不具合を修正。
  ・[リンクの別色表示]がOFFでも、ファイル読み込み後に別色表示されてし
    まう不具合を修正。
  ・オプションの[ファイル名をフルパス表示]の変更が他のTeraPadへ反映さ
    れない不具合を修正。
  ・その他、細かい修正と変更。

2000/04/06  Ver.0.50

  ・「Perl」「INI」「BAT」「C/C++」「Java」「VB」「Delphi」の各編集
    モードを追加。
  ・メニューで編集モードの切り替えを可能にした。([表示]-[編集モード])
  ・D&D編集機能を実装。
  ・左余白クリックで行選択が可能になった。
  ・外部プログラム呼出し機能追加。([ツール])
  ・検索、置換機能の強化。(検索履歴、\nで改行の検索などを追加)
  ・[検索]-[行指定]コマンドを追加。
  ・[ウィンドウ]コマンドを追加。([並べて表示][重ねて表示]など・・・)
  ・[ファイル]-[漢字コードを指定して保存]を追加。
  ・ステータスバーのスタイルを変更。左側にヒントを表示するようにした。
  ・読み込み時にもNKF32.DLLを利用するようにした。
  ・オプションウィンドウに[反映のみ]ボタンを追加。設定内容を保存せずに
    自分自身のみに反映します。
  ・オプションの[他]タブに「メニューでの変更は保存しない」を追加。
    ONの場合はメニューで変更した設定内容は保存しないで自分自身のみに反
    映します。
  ・オプションで左、上余白を設定可能にした。
  ・Alt+BkSpで[元に戻す]、Shift+Delで[切り取り]、Ctrl+Insで[コピー]、
    Shift+Insで[貼り付け]が可能になった。
  ・一部のキー割り当てを変更。
  ・設定内容を保存したら、既に起動している他のTeraPadへも反映するよう
    にした。
  ・[ファイル]-[新規作成]は常に新しいウィンドウを開くようにした。
  ・テキスト編集中の場合の[ファイル]-[開く]は、新しいウィンドウを開く
    ようにした。
  ・旧[ファイル]-[開く]は[閉じて開く]にコマンド名を変更。
  ・0バイトの漢字コード認識はSHIFT-JIS固定にした。
  ・0バイトの保存でエラーが発生することがあったのを修正。
  ・[ファイル]-[新しいウィンドウ]、[新しいウィンドウで開く]を廃止。
  ・TABマークが非表示の時に全角空白マークを表示させるとマークの位置が
    ずれる不具合を修正。
  ・オプションのスクロールバーの設定が正しく反映されていなかった不具合
    を修正。
  ・オプション更新後にタイトルバーの更新マーク「*」が消えてしまう不具
    合を修正。
  ・描画関連の処理にメモリーリークのバグがあったのを修正。

2000/01/20  Ver.0.42

  ・矩形選択に対応。(Alt+マウス 又は Ctrl+B)
  ・Shift+Enterでオートインデントするようにした。オプションでオートイ
    ンデントONを指定している時は一時OFFになります。
  ・ショートカット、ウィンドウへD&Dで複数のファイルを同時に開けるよう
    にした。
  ・ステータスバーのサイズ表示切替をメニューに追加した。
    ([表示]-[テキストサイズ表示])
  ・フリーカーソルの指定をメニューからもできるようにした。
    ([編集]-[フリーカーソル])
  ・ESCで選択解除した時にカーソル位置が変わらないようにした。
  ・折り返し表示している行の後半にIMEから長い文字列を入力する時、次の
    行も上書きされるようになった。
  ・印刷の「行間隔」を廃止。
  ・その他、細かい変更と修正。

1999/12/26  Ver.0.41

  ・TABをマウスのドラッグで選択した時に、カーソル位置がふらついて画面
    がちらついていたのを改善。
  ・折り返し表示している行で文字列を入力すると、カーソル位置が不正に
    なる場合があったバグを修正。

1999/12/16  Ver.0.40

  ・オプションに[禁則処理]を追加。指定の行末禁則文字及び行末禁則文字の
    位置を考慮して折り返し位置を調節します。
  ・オプションに[改行マークのぶら下げ]を追加。
  ・オプションに[句読点のぶら下げ]を追加。
  ・[編集]-[変換]の、TAB、空白インデントが折り返しONの時でも使用可能に
    なった。
  ・折り返しの桁数を複数登録できるようにした。(Max：9件)
  ・登録済の折り返し桁数と現在の幅の桁数をメニューから指定できるように
    した。
  ・引用符の前に、TAB、半角空白、全角空白があっても引用行として認識(別
    色表示)するようにした。
  ・[編集]-[変換]へ[折り返しへ改行挿入]コマンドを追加。(折り返し、改行
    マークのぶら下げONの時のみ実行可能)
  ・[編集]-[変換]へ[改行削除]コマンドを追加。
  ・F4キーでステータスバーの「行桁」「テキストサイズ」の表示切り替えを
    可能にした。(カーソル移動で行桁表示に戻る)
  ・[検索する文字列]と[置換前の文字列]に選択中の文字をセットするように
    した。
  ・URLの認識文字に「@」を加えた。
  ・[検索]-[置換]の[すべて置換]がうまく動作しないことがあったのを修正。
  ・[EOF] 以降を選択後に「リストのインデックスが範囲を超えています」と
    いうエラーメッセージが表示される不具合を修正。

1999/12/01  Ver.0.39

  ・印刷機能を追加。
  ・コマンドラインオプション「/p」で印刷可能にした。
  ・[ファイル]-[新しいウィンドウ]は現在のモード(標準モードまたはHTMLモ
    ード)で開くようにした。
  ・HTMLモード時にタグ以外の「"」で囲われた文字列の背景色が、 オプショ
    ンの背景色指定を無視して白色になってしまう不具合を修正。
  ・引用行、 HTMLモード時のタグ内の「"」で囲われた文字列中のTAB、 全角
    空白記号が正しく表示されない不具合を修正。

1999/11/23  Ver.0.38

  ・TeraPad.exeと同じフォルダにNKF32.DLLが存在する場合は、保存時の
    JIS, EUCへの変換処理をNKF32.DLLに任せるようにした。特にEUCでは、
    扱えるファイルサイズが大幅に拡張され、処理スピードもアップします。
  ・EUCのみ、長いテキストを保存すると落ちることがあるので、100KBを
    上限とし、それを超えた場合はメッセージを出すようにした。
    (NKF32.DLLなしの場合)
  ・最大化されているとマウスで選択中の左方向のスクロールがしにくい為、
    左の余白を少し広くした。(TERAPAD.INIで調整可。詳細は「左余白に
    ついて」を参照)
  ・漢字コードの自動認識で、対象ファイルがEUC又はJISの場合に文字化け
    することがあったのを修正。

1999/11/19  Ver.0.37

  ・漢字コードの自動認識がONになっていると、読み込んだテキストが文字
    化けしてしまうことがあったので対処した。
  ・漢字コードの自動認識がONになっていると、ファイルを読み込んだ後に
    テキストのトップへスクロールしない不具合を修正。

1999/11/12  Ver.0.36

  ・漢字コードの自動認識機能を追加。(オプションの[漢字コード])
  ・オプションの[基本]タブに「同ファイルを2つ開かない」を追加。ONの
    場合は１つのファイルを２つ以上のTeraPadで開かないようになります。
    尚、このオプションを有効にするにはTeraPadを一度終了する必要が
    あります。
  ・オプションの基本タブに「英文ワードラップ」を追加。
  ・URLの判別文字列に「#」「;」「,」「&」を加えた。
  ・Shift+クリックで選択されたファイル履歴を削除できるようにした。
  ・アクティブになった時にキャレット位置までスクロールしない仕様に
    変更した。
  ・デフォルトの設定値を少し変更。
      1.ステータスバー ..... 非表示→表示
      2.[タイトルバーのファイル名をフルパスで表示する] ..... ON→OFF
  ・ネットワークドライブのファイルを「関連付け」「送る」「アイコンへ
    D&D」などで開けない不具合を修正。
  ・フォント変更後リンク色が普通の文字と同じ色になってしまう不具合を
    修正。
  ・[検索]-[置換]で無限ループになることがあったのを修正。

1999/10/14  Ver.0.35

  ・Shift + クリックで文字選択が可能になった。
  ・[EOF] で Shift + [↓], 先頭行で Shift + [↑] キー入力をすると、
    下線が消えたままになるバグを修正。
  ・その他。細かい改良と修正。

1999/10/07  Ver.0.34

  ・ダブルクリックによる１語選択の処理を最適化。
  ・行間隔の設定を可能にした。(オプションの[編集])
  ・文字間隔の設定を可能にした。(オプションの[編集])
  ・カーソル行に下線を表示できるようにした。(オプションの[編集])
  ・カーソル行の下線の色設定を可能にした。
  ・バージョン情報ダイアログの変更。
  ・その他、細かい修正と変更。

1999/09/26  Ver.0.33

  ・コマンド[行削除]を追加。
  ・文字選択中の矢印キーによるカーソル移動の動作を改良した。
  ・TAB、空白のインデント編集で、実行後の文字選択処理が正しく行われて
    いなかったのを修正。

1999/09/24  Ver.0.32

  ・ファイル履歴を残すようにした。([ファイル]-[開き直す])
  ・コマンド[行頭へTAB挿入][行頭のTAB削除]を追加。これは、[指定文字数で
    折り返し]がONの時は無効です。
  ・コマンド[行頭へ空白挿入][行頭の空白削除]を追加。これは、[指定文字数
    で折り返し]がONの時は無効です。また、行のTABは空白に変換されるので
    注意して下さい。
  ・TABと全角空白のマーク表示を可能にした。
  ・TABと全角空白のマーク色指定オプションを追加した。
  ・全角空白もオートインデントするようにした。
  ・[オンラインヘルプ]のURLを変更。
  ・[TABを空白に置き換える]を廃止。
  ・その他、細かい変更と修正。

1999/09/21  Ver.0.31

  ・オプションの[色]タブで[通常の文字]の色指定が反映されず黒固定に
    なっていたのを修正。

1999/09/15  Ver.0.30

  ・複数行にまたがるHTMLタグ、コメントの別色表示に対応した。
  ・[指定文字数で折り返し]で折り返された文字列の、引用行、リンクの
    別色表示が可能になった。(3行目移行は無効)
  ・編集中の文書をWWWブラウザでプレビューできるようにした。
  ・オプションに[現在の幅に合わせる]ボタンを追加。現在のウィンドウ
    サイズで表示出来る文字数を[折り返す文字数]へセットします。
  ・オプションに[起動時にIMEをON]を追加。
  ・オプションに[タイトルバーのファイル名をフルパスで表示する]を追加。
  ・オンラインヘルプを作成。(でるふぃさん作)
  ・[ヘルプ]-[オンラインヘルプ]でヘルプページへ飛べるようにした。
  ・[指定文字数で折り返し]ONで一行の文字が全て表示しきれている場合は
    横スクロールバーを表示しないようにした。
  ・ステータスバーに「標準／HTMLモード」「折り返し: XX」を追加。
  ・タブを含む行でダブルクリックによる単語選択がうまく動作しない
    不具合を修正。
  ・カーソル移動時のステータスバーのチラツキを低減。
  ・その他、細かい修正及び変更。

1999/08/08  Ver.0.25

  ・フォントの種類を変更後にフォント色が黒になってしまうのを修正。

1999/07/01  Ver.0.24

  ・オプションの引用符が空白の時はデフォルト値を設定するようにした。
  ・[ファイルを開く][名前を付けて保存]ダイアログのユーザーファイル
    フィルタに設定済の拡張子を表示するようにした。
  ・オプションの[ウィンドウ]タブで、[サイズ指定]と[位置指定]の両方が
    OFFの時に、[状態]の設定が正しく保存されないことがあったのを修正。

1999/06/30  Ver.0.23

  ・マウスのホイール操作で上下スクロールできるようにした。

1999/06/14  Ver.0.22

  ・オートインデントの仕様変更と修正。
    空白とタブを忠実に挿入する一般的な仕様にした。
    行頭にタブがあるとうまく動作していなかったのを修正した。
  ・オプションの[タブインデント]は意味が無くなったので廃止した。

1999/06/12  Ver.0.21

  ・メインウィンドウへのD&Dでファイルを開けるようにした。
    ファイルがショートカットの場合はそのリンク先を開きます。
    複数ファイルのD&Dには未対応です。
  ・元に戻す回数を設定できるようにした。
  ・オプションとフォント設定ダイアログの表示位置を変更。
  ・入力時のタスクボタンのチラツキを低減。

1999/05/28  Ver.0.20

  ・HTMLタグの別色表示に対応した。
    (現時点では複数行にまたがる、タグ、コメントには未対応です)
  ・各色の指定が可能になった。
  ・コマンドラインパラメータに「/html」を指定した場合は、HTML編集モー
    ドでの起動するようにした。
  ・編集中ファイルの拡張子でHTML文書かを自動認識するようにした。
  ・HTML編集モードの時は、[開く][名前を付けて保存]のファイルフィルター
    を自動で変更するようにした。
  ・HTML編集モードの時は、引用行、リンクの別色表示を無効にした。
  ・行頭に半角小文字の「b」があると引用行として認識してしまうのを修正。
  ・その他細かい変更、修正。

1999/05/21  Ver.0.15

  ・アイコンを変更。この新しいアイコンは、
    『アイコン。』http://hp.vector.co.jp/authors/VA013969/ の
    のPiaさんに作成して頂きました。

1999/05/17  Ver.0.14

  ・ダブルクリックで単語選択が可能になった。
  ・MSIME95/97において、キャレット(カーソル)が消えてしまう現象を回避。
  ・リンクを開く(ダブルクリック)時に、マウスによる選択開始状態になっ
    てしまう現象を改善。

1999/05/16  Ver.0.13

  ・引用行、URL、メールアドレスのカラー表示が可能になった。
    ＃今現在は、フォントカラー、スタイルは固定です。(^-^;
  ・URL、メールアドレスをダブルクリックで関連付けされているアプリの
    起動が可能になった。
  ・[編集]-[引用符付き貼り付け]を追加。
  ・その他細かい変更、修正。

1999/05/13  Ver.0.12

  ・TEditorコンポーネントの0.61, 0.62(TeraPad 0.10, 0.11で使用)で、
    カーソルが消えてしまう問題があった為、0.60に戻した。この影響で
    タブを含む行の文字を選択中に貼り付けや変換を行うと位置がずれる現象
    が復活しています。あらかじめご了承下さい。

1999/05/13  Ver.0.11

  ・TEditor(本田勝彦氏作)を0.61から0.62へアップデートして、下記の点が
    修正及び変更された。

      1. 選択領域を削除、貼り付けする際、改行文字が消えてしまうバグ
         を修正。
      2. その他処理の高速化など。

1999/05/09  Ver.0.10

  ・TEditor(本田勝彦氏作)を0.60から0.61へアップデートして、いくつかの
    不具合修正と仕様変更など。

      〜 内容 〜
      1.タブを含む行の文字を選択中に貼り付けなどを行うと位置がずれる
        バグが修正された。
      2.ファイルが保存済であれば、折り返し表示の状態を変更しても終了
        時に確認メッセージが表示されない仕様になった。
      3.大量の文字列一括処理(貼り付け, Undo, Redo など)が高速化された。
      4.その他。

  ・ツールバーの[切り取り][コピー][貼り付け][元に戻す][やり直し]を押し
    た時、そのコマンドが実行不可能な場合は警告音を出すようにした。
  ・[編集]-[変換]で実行後に対象文字列が選択状態になるようにした。
  ・[編集]-[変換]の大文字<->小文字変換で、選択文字列のサイズが大きいと
    固まってしまう為、1,000,000文字までの制限付きにした。
  ・文字列選択中に[元に戻す][やり直し]を実行した場合は選択状態を解除す
    るようにした。

1999/05/06  Ver.0.09

  ・置換の[すべて置換]で「大文字と小文字を区別する」をチェックせずに実
    行すると無限ループになってしまうことがあったのを修正。
    (例えば、「abc」->「ABC」など)

1999/05/05  Ver.0.08

  ・オプションの[ユーザーファイルフィルタ]が空白の時はデフォルトに戻す
    ようにした。
  ・[編集]-[変換]の半角<->全角変換で、選択文字列のサイズが大きいと固ま
    ってしまう為、10,000文字までの制限付きにした。
  ・[編集]-[変換]のタブ<->空白変換がうまく動作していなかったので廃止。

1999/05/02  Ver.0.07

  ・ツールバーをフラット化するオプションを追加。
  ・検索、置換でヒットした文字が画面に表示されていない場合に自動スクロ
    ールが効いていなかったのを修正。

1999/04/30  Ver.0.06

  ・[ファイル]-[新しいウィンドウで開く]を追加。
  ・ウィンドウのサイズと位置の復元機能を追加。

1999/04/27  Ver.0.05

  ・ツールバーを追加。

1999/04/23  Ver.0.04

  ・オプションにタブインデントを追加。
  ・コマンドラインパラメータに指定したショートカット(.lnk)のリンク先を
    開けるようにした。
  ・ファイルが保存済であっても、折り返し表示の状態を変更すると終了時に
    保存確認メッセージが表示されてしまうのを修正。

1999/04/22  Ver.0.03

  ・[編集]-[変換]を追加。(大文字⇔小文字、半角⇔全角、TAB⇔空白)
  ・オプションに[TABを空白に置き換えて入力]を追加。
  ・オプションとフォント指定ダイアログがデスクトップの外に出てしまう場
    合に位置を調整するようにした。
  ・Windows98でフォントが「Terminal」になっているとMSIME98の変換ダイア
    ログボックスが倍角表示になってしまう為、デフォルトフォントを
   「FixedSys」に変更した。

1999/04/20  Ver.0.02

  ・キャレットが行頭・行末にある時に[←][→]キーを押しても行移動しなか
    ったのを修正。

1999/04/19  Ver.0.01 

  ・初公開

□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□□
